This page was not yet optimized for use on mobile devices.
Black Lantern® Cryptographic Module
Certificate details
| Certificate ID | #4350 |
|---|---|
| Status | historical |
| Historical reason | Moved to historical list due to sunsetting |
| Validation dates | 31.10.2022 , 08.11.2022 |
| Standard | FIPS 140-2 |
| Security level | 3 |
| Type | Hardware |
| Embodiment | Multi-Chip Stand Alone |
| Caveat | None |
| Exceptions |
|
| Description | The BL Cryptographic Module is designed to be integrated into products that have a requirement to be FIPS 140-2 Security Level 3 certified. The module is physically enclosed in a security appliance, designed to protect and secure the module and any pre-loaded applications determined by the integrated products. |
| Version (Hardware) | BL400 |
| Version (Firmware) | BLKSI.2.2.1-FIPS |
| Vendor | Guardtime Federal https://www.guardtime-federal.com/ |
| Lab | Leidos Accredited Testing & Evaluation (AT&E) Lab |
| Algorithms | |
| References | This certificate's webpage directly references 0 certificates, transitively this expands into 0 certificates. |
Security policy
Extracted keywords
Symmetric Algorithms
AES, AES-128, AES-192, AES-, AES-256, HMACAsymmetric Algorithms
RSA 2048, RSA 4096, RSA-OAEP, ECDHE, ECDSA, ECCHash functions
SHA-1, SHA-224, SHA-256, SHA-384, SHA-512, PBKDF, PBKDF2Schemes
MAC, Key AgreementProtocols
TLS, TLS v1.2, TLS 1.2Randomness
DRBG, RNGElliptic Curves
P-256, P-384, P-521, secp521r1, secp256r1, secp384r1Block cipher modes
CBC, CTR, GCMTLS cipher suites
TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384, TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384Trusted Execution Environments
SSCSecurity level
Level 3Certification process
out of scope, that only firmware versions listed on the certificate are CMVP-validated and any others will be out of scopeAutomated analysis
Automated inference - use with caution
All attributes shown in this section (e.g., links between certificates, products, vendors, and known CVEs) are generated by automated heuristics and have not been reviewed by humans. These methods can produce false positives or false negatives and should not be treated as definitive without independent verification. This applies equally to the Cross-references section below. If you want to know more about how this data is computed and how reliable it is, see our documentation on automated analysis. If you believe any information here is inaccurate or harmful, please submit feedback.No automatically derived data are available in this section.
Cross-references
No references are available for this certificate.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate data changed.
-
The certificate was first processed.
{
"_type": "sec_certs.sample.fips.FIPSCertificate",
"cert_id": 4350,
"dgst": "3e0cbdb59cf8a8ed",
"heuristics": {
"_type": "sec_certs.sample.fips.FIPSCertificate.Heuristics",
"algorithms": {
"_type": "Set",
"elements": [
"DRBG#A1515",
"#A1515",
"CVL#A1515",
"KTS#A1515",
"HMAC#A1515",
"ECDSA#A1515",
"KBKDF#A1515",
"KAS-SSC#A1515",
"KAS#A1515",
"AES#A1515",
"PBKDF#A1515",
"SHS#A1515",
"KTS-RSA#A1515",
"RSA#A1515"
]
},
"cpe_matches": null,
"direct_transitive_cves": null,
"extracted_versions": {
"_type": "Set",
"elements": [
"2.2.1"
]
},
"indirect_transitive_cves": null,
"module_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"module_prunned_references": {
"_type": "Set",
"elements": []
},
"policy_processed_references": {
"_type": "sec_certs.sample.certificate.References",
"directly_referenced_by": null,
"directly_referencing": null,
"indirectly_referenced_by": null,
"indirectly_referencing": null
},
"policy_prunned_references": {
"_type": "Set",
"elements": []
},
"related_cves": null,
"verified_cpe_matches": null
},
"pdf_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.PdfData",
"br1_deviations": 40,
"br1_tables": null,
"is_br1_format": false,
"keywords": {
"asymmetric_crypto": {
"ECC": {
"ECC": {
"ECC": 3
},
"ECDH": {
"ECDHE": 1
},
"ECDSA": {
"ECDSA": 3
}
},
"RSA": {
"RSA 2048": 1,
"RSA 4096": 1,
"RSA-OAEP": 2
}
},
"certification_process": {
"OutOfScope": {
"out of scope": 1,
"that only firmware versions listed on the certificate are CMVP-validated and any others will be out of scope": 1
}
},
"cipher_mode": {
"CBC": {
"CBC": 2
},
"CTR": {
"CTR": 5
},
"GCM": {
"GCM": 4
}
},
"cplc_data": {},
"crypto_engine": {},
"crypto_library": {},
"crypto_protocol": {
"TLS": {
"TLS": {
"TLS": 34,
"TLS 1.2": 2,
"TLS v1.2": 2
}
}
},
"crypto_scheme": {
"KA": {
"Key Agreement": 1
},
"MAC": {
"MAC": 2
}
},
"device_model": {},
"ecc_curve": {
"NIST": {
"P-256": 14,
"P-384": 14,
"P-521": 14,
"secp256r1": 8,
"secp384r1": 8,
"secp521r1": 10
}
},
"eval_facility": {},
"fips_cert_id": {},
"fips_certlike": {
"Certlike": {
"AES- 256": 1,
"AES-128": 2,
"AES-192": 2,
"AES-256": 2,
"AES-GCM (128": 1,
"AES-GCM 256": 4,
"HMAC-SHA- 384": 2,
"HMAC-SHA-1": 4,
"HMAC-SHA1": 4,
"PKCS 1": 4,
"RSA 2048": 1,
"RSA 4096": 1,
"SHA-1": 2,
"SHA-224": 1,
"SHA-256": 3,
"SHA-384": 1,
"SHA-512": 1,
"SHA2- 384": 1,
"SHA2- 512": 1,
"SHA2-224": 2,
"SHA2-256": 11,
"SHA2-384": 10,
"SHA2-512": 11
}
},
"fips_security_level": {
"Level": {
"Level 3": 1
}
},
"hash_function": {
"PBKDF": {
"PBKDF": 2,
"PBKDF2": 1
},
"SHA": {
"SHA1": {
"SHA-1": 2
},
"SHA2": {
"SHA-224": 1,
"SHA-256": 3,
"SHA-384": 1,
"SHA-512": 1
}
}
},
"ic_data_group": {},
"javacard_api_const": {},
"javacard_packages": {},
"javacard_version": {},
"os_name": {},
"pq_crypto": {},
"randomness": {
"PRNG": {
"DRBG": 14
},
"RNG": {
"RNG": 2
}
},
"side_channel_analysis": {},
"standard_id": {
"FIPS": {
"FIPS 140-2": 8,
"FIPS 140-3": 1,
"FIPS 1402": 1,
"FIPS 180-4": 1,
"FIPS 186-4": 2,
"FIPS 197": 1,
"FIPS 198-1": 1,
"FIPS PUB 186-4": 8,
"FIPS186-2": 1,
"FIPS186-4": 1
},
"NIST": {
"NIST SP 800-135": 2,
"NIST SP 800-90A": 5,
"SP 800-108": 2,
"SP 800-135": 2,
"SP 800-38A": 1,
"SP 800-38D": 1,
"SP 800-57": 1,
"SP 800-90A": 3,
"SP 800-90B": 1
},
"PKCS": {
"PKCS 1": 2
},
"RFC": {
"RFC 2560": 1,
"RFC 5246": 2,
"RFC 5289": 2
}
},
"symmetric_crypto": {
"AES_competition": {
"AES": {
"AES": 4,
"AES-": 1,
"AES-128": 2,
"AES-192": 2,
"AES-256": 2
}
},
"constructions": {
"MAC": {
"HMAC": 3
}
}
},
"tee_name": {
"IBM": {
"SSC": 1
}
},
"tls_cipher_suite": {
"TLS": {
"TLS_ECDHE_ECDSA_WITH_AES_256_GCM_SHA384": 1,
"TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384": 1
}
},
"vendor": {},
"vulnerability": {}
},
"module_algorithms": {
"_type": "Set",
"elements": [
"DRBG#A1515",
"CVL#A1515",
"KTS#A1515",
"HMAC#A1515",
"ECDSA#A1515",
"KBKDF#A1515",
"KAS-SSC#A1515",
"KAS#A1515",
"AES#A1515",
"PBKDF#A1515",
"SHS#A1515",
"KTS-RSA#A1515",
"RSA#A1515"
]
},
"policy_algorithms": {
"_type": "Set",
"elements": [
"#A1515"
]
},
"policy_metadata": {
"/CreationDate": "D:20221007114440-04\u002700\u0027",
"/ModDate": "D:20221007114440-04\u002700\u0027",
"pdf_file_size_bytes": 766703,
"pdf_hyperlinks": {
"_type": "Set",
"elements": []
},
"pdf_is_encrypted": false,
"pdf_number_of_pages": 24
}
},
"state": {
"_type": "sec_certs.sample.fips.InternalState",
"module": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": null,
"source_hash": null,
"txt_hash": null
},
"policy": {
"_type": "sec_certs.sample.document_state.DocumentState",
"convert_ok": true,
"download_ok": true,
"extract_ok": true,
"json_hash": "15fbf5a7a8f16486ab37539539aa8ac40a377c8c0d85f2c63fe366384d6b4fc6",
"source_hash": "4faab22a79cbc9f4d2c1c375e8f91b0a7b19f7bc68333ede7f522f5a230f1bfe",
"txt_hash": "6a4a66f29adbb8810e048d59af37d913ac904266bfdddc07b7ca6d305c3d2933"
}
},
"web_data": {
"_type": "sec_certs.sample.fips.FIPSCertificate.WebData",
"caveat": "None",
"certificate_pdf_url": "https://csrc.nist.gov/CSRC/media/projects/cryptographic-module-validation-program/documents/certificates/October 2022_021122_1233_signed.pdf",
"date_sunset": null,
"description": "The BL Cryptographic Module is designed to be integrated into products that have a requirement to be FIPS 140-2 Security Level 3 certified. The module is physically enclosed in a security appliance, designed to protect and secure the module and any pre-loaded applications determined by the integrated products.",
"embodiment": "Multi-Chip Stand Alone",
"exceptions": [
"Mitigation of Other Attacks: N/A"
],
"fw_versions": "BLKSI.2.2.1-FIPS",
"historical_reason": "Moved to historical list due to sunsetting",
"hw_versions": "BL400",
"level": 3,
"mentioned_certs": {},
"module_name": "Black Lantern\u00ae Cryptographic Module",
"module_type": "Hardware",
"revoked_link": null,
"revoked_reason": null,
"standard": "FIPS 140-2",
"status": "historical",
"sw_versions": null,
"tested_conf": null,
"validation_history": [
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2022-10-31",
"lab": "Leidos Accredited Testing \u0026 Evaluation (AT\u0026E) Lab",
"validation_type": "Initial"
},
{
"_type": "sec_certs.sample.fips.FIPSCertificate.ValidationHistoryEntry",
"date": "2022-11-08",
"lab": "Leidos Accredited Testing \u0026 Evaluation (AT\u0026E) Lab",
"validation_type": "Update"
}
],
"vendor": "Guardtime Federal",
"vendor_url": "https://www.guardtime-federal.com/"
}
}